## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface IWebServiceProject

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface IWebServiceProject

extends org.eclipse.emf.ecore.EObject

Author:
  Hristo Sabev

Method Summary
`java.lang.String` `getName()`
`org.eclipse.emf.common.util.EList<IServiceEndpointInterface>` `getServiceEndpointInterfaces()`
`org.eclipse.emf.common.util.EList<IWebService>` `getWebServices()`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getWebServices

    org.eclipse.emf.common.util.EList<IWebService> getWebServices()

  Returns:

### getServiceEndpointInterfaces

    org.eclipse.emf.common.util.EList<IServiceEndpointInterface> getServiceEndpointInterfaces()

### getName

    java.lang.String getName()